package tech.glinfo.enbao.modules.sh.service;

import com.baomidou.mybatisplus.extension.service.IService;
import tech.glinfo.enbao.common.utils.R;
import tech.glinfo.enbao.modules.appuser.entity.AppUserEntity;
import tech.glinfo.enbao.modules.sh.entity.ShFamilyEntity;

import java.util.Map;

/**
 * @author lyt
 * @date 2022/1/5 10:49
 */
public interface OtherShFamilyService extends IService<ShFamilyEntity> {

    R add(Map<String, Object> params, AppUserEntity user);

    R update(Map<String, Object> params);

    R delete(Map<String, Object> params, AppUserEntity user);

    R list(AppUserEntity user);

    R info(Integer id);

    R index(Integer userId, Integer familyId);
}
